# $Revision: 1.11 $, $Date: 2004/12/26 17:52:45 $

%define	module	shm

Summary:	Python's Shared Memory Module
Summary(pl):	Modu Pythona do obsugi pamici dzielonej
Name:		python-%{module}
Version:	1.0
Release:	4
License:	GPL
Group:		Libraries/Python
# Source0:	http://ftp.psychosis.com/python/%{module}-%{version}.tar.gz
Source0:	http://gigue.peabody.jhu.edu/~mdboom/omi/source/shm_source/shmmodule.c
Source1:	python-shm-setup.py
URL:		http://gigue.peabody.jhu.edu/~mdboom/omi/source/shm_source/shm.html
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an object interface to System V shared memory
IPC, present in most Unix systems.

%description -l pl
Ten modu udostpnia obiektowy interfejs do komunikacji midzy
procesami opartej na pamici wspdzielonej, jaka jest dostpna
w wikszoci systemw uniksowych.

%prep
%setup -q -c -T
install %{SOURCE0} .
install %{SOURCE1} .

%build
python python-shm-setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python python-shm-setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/shm.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-shm.spec,v $
Revision 1.11  2004/12/26 17:52:45  saq
- release 4 for rebuild with python 2.4

Revision 1.10  2004/08/19 10:53:08  undefine
- release 3

Revision 1.9  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.7  2003/12/02 00:04:39  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.6  2003/08/21 08:21:55  qboosh
- cleanup

Revision 1.5  2003/08/20 21:30:23  ankry
- removed md5: don't use distfiles - it's C file

Revision 1.4  2003/08/20 16:11:14  matkor
- Forgotten url added.

Revision 1.3  2003/08/20 16:05:10  matkor
- Release 1. pl descr. added. md5. STBR for Ra pls.

Revision 1.2  2003/08/20 14:31:22  wrobell
- fixed install requirements
- fixed prep section

Revision 1.1  2003/08/20 14:09:16  matkor
- Init spec. NFY - I'm unable to fix trival %prep section :(.
